列出打印机
命名空间:microsoft.graph
检索在租户中注册的 打印机 列表。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
若要使用通用打印服务,除下表中列出的权限外,用户或应用的租户还必须具有活动的通用打印订阅。 已登录的用户必须是 打印机管理员。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | Printer.Read.All、Printer.ReadWrite.All、Printer.FullControl.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | 不支持。 |
HTTP 请求
GET /print/printers
可选的查询参数
此方法支持一些 OData 查询参数来帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数。
例外
- 导航
$expand属性支持shares和运算符,但不支持jobs。$select - 不支持某些运算符:
$count。$search
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 打印机 对象集合。
注意:响应将不包含“defaults”和“capabilities”属性。 可以使用 Get Printer 请求查询这些属性。
示例
请求
GET https://graph.microsoft.com/v1.0/print/printers
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#print/printers",
"value": [
{
"id": "016b5565-3bbf-4067-b9ff-4d68167eb1a6",
"displayName": "PrinterName",
"manufacturer": "PrinterManufacturer",
"model": "PrinterModel",
"isShared": true,
"registeredDateTime": "2020-02-04T00:00:00.0000000Z",
"isAcceptingJobs": true,
"status": {
"state": "stopped",
"details": [
"disconnected"
],
"description": ""
},
"defaults": {
"copiesPerJob": 1,
"finishings": [
"none"
],
"mediaColor": "Unknown",
"mediaType": "stationery",
"mediaSize": "North America Letter",
"pagesPerSheet": 1,
"orientation": "portrait",
"outputBin": "auto",
"inputBin": "auto",
"contentType": "application/oxps",
"fitPdfToPage": false,
"multipageLayout": null,
"colorMode": "color",
"quality": "medium",
"duplexMode": "oneSided",
"dpi": 600,
"scaling": null
},
"location": {
"latitude": 1.1,
"longitude": 2.2,
"altitudeInMeters": 3,
"streetAddress": "One Microsoft Way",
"subUnit": [
"Main Plaza",
"Unit 400"
],
"city": "Redmond",
"postalCode": "98052",
"countryOrRegion": "USA",
"site": "Puget Sound",
"building": "Studio E",
"floor": "1",
"floorDescription": "First Floor",
"roomName": "1234",
"roomDescription": "First floor copy room",
"organization": [
"C+AI",
"Microsoft Graph"
],
"subdivision": [
"King County",
"Red West"
],
"stateOrProvince": "Washington"
}
}
]
}
反馈
提交和查看相关反馈